Bug 428352 (fedora-idm-console) - Review Request: fedora-idm-console: Fedora branded Java console for Fedora Directory Server
Summary: Review Request: fedora-idm-console: Fedora branded Java console for Fedora Di...
Status: CLOSED RAWHIDE
Alias: fedora-idm-console
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-10 23:50 UTC by Rich Megginson
Modified: 2008-04-03 18:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 18:29:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Rich Megginson 2008-01-10 23:50:22 UTC
Spec URL: http://rmeggins.fedorapeople.org/fedora-idm-console.spec
SRPM URL: http://rmeggins.fedorapeople.org/fedora-idm-console-1.1.1-1.src.rpm
Description: This provides the Fedora branded console for use with
idm-console-framework for Fedora Directory Server.

Builds in mock, both f-8 i386 and x86_64.

rpmlint says "E: no-binary".  This will require a bit of explanation:

There appears to be a bug in Java.  The default Java java.library.path uses
/usr/lib even on 64bit systems.  This means that if the app uses JNI, it will
not find the 64-bit libs by default.  The argument
-Djava.library.path=%{_libdir} must be passed to the JRE.  This means the
package becomes an arch specific package, even though there are no arch specific
binaries in the package.  This appears to be a bug in Sun Java, IBM Java, and in
IcedTea Java.

So I would like to propose that this particular rpmlint error be waived for the
fedora package review.

Comment 1 Rich Megginson 2008-01-11 00:00:27 UTC
e.g. see http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6312057

Comment 2 Dennis Gilmore 2008-01-12 20:52:23 UTC
ill take this

Comment 3 Rich Megginson 2008-01-16 17:03:31 UTC
new srpm with correct upstream source -
http://rmeggins.fedorapeople.org/fedora-idm-console-1.1.1-1.src.rpm

Comment 4 Dennis Gilmore 2008-01-16 17:36:34 UTC
[dennis@bratac ~]$ sha1sum fedora/SOURCES/fedora-idm-console-1.1.1.tar.bz2
2c4860da90c3699e5570a1df373d36b3a38f1560 
fedora/SOURCES/fedora-idm-console-1.1.1.tar.bz2
[dennis@bratac ~]$ sha1sum fedora-idm-console-1.1.1.tar.bz2
2c4860da90c3699e5570a1df373d36b3a38f1560  fedora-idm-console-1.1.1.tar.bz2

builds in mock  on F-8 x86_64

fedora-idm-console.x86_64: E: no-binary
can be ignored

looks good

Approved.

Comment 5 Rich Megginson 2008-01-16 18:44:35 UTC
New Package CVS Request
=======================
Package Name: fedora-idm-console
Short Description: Fedora branded Java console for Fedora Directory Server
Owners: rmeggins nkinder nhosoi
Branches: F-8
InitialCC: 
Cvsextras Commits:


Comment 6 Dennis Gilmore 2008-01-16 19:47:19 UTC
CVS Done


Note You need to log in before you can comment on or make changes to this bug.